Redmine - Patch #38449

Align buttons in modal dialogs to the left instead of right

2023-04-13 15:18 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 5.1.0

Description

In modal dialogs such as "New member" in the project setting, buttons are aligned to the right.

But | think this feels difficult to use because the mouse cursor must be moved a great deal on a large screen.

| suggest aligning buttons to the left instead of the right to resolve the Ul issue. This also makes Ul consistent. Except for modal

dialogs, submit buttons of most pages are placed on the left in Redmine.

Before:
clipboard-202304132215-un7jw.png

After:
clipboard-202304132216-6upwi.png

Associated revisions

Revision 22226 - 2023-05-05 05:55 - Go MAEDA

Align buttons in modal dialogs to the left instead of right (#38449).

Patch by Go MAEDA.

History

#1 - 2023-04-13 15:20 - Go MAEDA
- File align-buttons-left.patch added

#2 - 2023-05-01 14:33 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#3 - 2023-05-05 05:56 - Go MAEDA

- Subject changed from Align buttons in modal dialog to the left instead of right to Align buttons in modal dialogs to the left instead of right

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22226.
